Create Tool
curl --request POST \
--url https://api.boostgpt.co/v1/bot/tool \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"server_label": "<string>",
"server_url": "<string>",
"require_approval": "never",
"headers": {},
"type": "mcp"
}
'import requests
url = "https://api.boostgpt.co/v1/bot/tool"
payload = {
"project_id": "<string>",
"bot_id": "<string>",
"server_label": "<string>",
"server_url": "<string>",
"require_approval": "never",
"headers": {},
"type": "mcp"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
bot_id: '<string>',
server_label: '<string>',
server_url: '<string>',
require_approval: 'never',
headers: {},
type: 'mcp'
})
};
fetch('https://api.boostgpt.co/v1/bot/tool', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"server_label": "<string>",
"server_url": "<string>",
"transport": "<string>",
"require_approval": "<string>",
"headers": {},
"is_enabled": true,
"type": "<string>",
"tools": [
{
"name": "<string>",
"description": "<string>",
"is_active": true,
"schema": {}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>"
}Tools
Create Tool
Create a new tool configuration for an agent
POST
/
v1
/
bot
/
tool
Create Tool
Authorizations
Enter your API key
Body
application/json
Project ID
Agent ID
Human-readable label for the MCP server
Required string length:
1 - 255MCP server URL
Maximum string length:
500Transport protocol
Available options:
http, sse Tool approval requirement
Available options:
never, always, tool-specific Custom headers for MCP server requests
Tool type
Available options:
mcp Response
Tool created successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I